class Department {
  String? id;
  String? name;

  Department({
    this.id,
    this.name,
  });

  factory Department.fromJson(Map<String, dynamic> parsedJson) {
    return Department(
      id: parsedJson["nid"] ?? parsedJson["id"],
      name: parsedJson["dept_name"] ?? parsedJson["value"],
    );
  }
  factory Department.fromDepartment(Department? department) {
    return Department(
      id: department?.id,
      name: department?.name,
    );
  }
}
